#pragma once
#include <map>
struct M_SignInOnNationalDayData
{
	//天数
	int mDay;
	//奖励物品ID
	std::vector<int> mItemId;
	//奖励物品数量
	std::vector<int> mItemNumber;
};

class M_SignInOnNationalDay
{
public:
private:
	static std::auto_ptr<M_SignInOnNationalDay> msSingleton;
public:
	int GetCount();
	const M_SignInOnNationalDayData* GetData(int Day);
	const std::map<int, M_SignInOnNationalDayData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_SignInOnNationalDay* GetSingleton();
	static void Release();
private:
	std::map<int, M_SignInOnNationalDayData> mMapData;
};
